Bug 114997 - missing return statement
missing return statement
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxml (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-05 05:05 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 03:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-05 05:05:05 EST
Description of problem:

I just tried to compile package libxml-1.8.17-9 from Redhat
Fedora Core 1.

The compiler said

1.

parser.c(10630): warning #1011: missing return statement at end of
non-void function "xmlParseBalancedChunkFile"

The source code is

xmlNodePtr
xmlParseBalancedChunkFile(xmlDocPtr doc, xmlNodePtr node) {
}

Clearly wrong. Suggest add return statement, or change return type
to void.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bart Martens 2004-02-10 20:41:11 EST
This function is empty, and is nowhere used. May be removed, or ignored.
Comment 2 Daniel Veillard 2004-02-11 03:54:02 EST
Well, libxml1 is really deprecated code. It should be used only
for binary compatibility for the few apps still using it instead
of libxml2. I really don't plan to make new release for this
3 years old branch ... All new apps should use libxml2 now.
That would have been in libxml2 I would have fixed it immediately
in CVS, but in that case, well it's just a warning one can safely
ignore,

Daniel
Comment 3 David Binderman 2004-11-23 03:22:23 EST
For the record, this is still broken in Fedora Core 3.

At what point does this library no longer ship with Fedora ?
Comment 4 Daniel Veillard 2004-11-23 04:01:33 EST
FC3 is the last release where it will ship. No package should use it
anymore.

Daniel

Note You need to log in before you can comment on or make changes to this bug.